Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1284008 - (CVE-2015-8613) CVE-2015-8613 Qemu: scsi: stack based buffer overflow in megasas_ctrl_get_info
CVE-2015-8613 Qemu: scsi: stack based buffer overflow in megasas_ctrl_get_info
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151221,reported=2...
: Security
Depends On: 1293304 1293305
Blocks: 1284010
  Show dependency treegraph
 
Reported: 2015-11-20 09:21 EST by Adam Mariš
Modified: 2018-07-18 10:45 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A stack buffer-overflow vulnerability has been discovered in the QEMU emulator built with SCSI MegaRAID SAS HBA emulation support. The flaw occurs when processing the SCSI controller's CTRL_GET_INFO command. A privileged guest user could exploit this flaw to crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-20 09:21:05 EST
Qemu emulator built with the SCSI MegaRAID SAS HBA emulation support is vulnerable to a stack buffer overflow issue. It occurs while processing the SCSI controller's CTRL_GET_INFO command. A privileged guest user could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-12/msg03737.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/22/1
Comment 2 Adam Mariš 2015-11-20 09:29:07 EST
Acknowledgments:

Red Hat would like to thank Qinghao Tang of Qihoo 360 Inc. for reporting this issue.
Comment 3 Prasad J Pandit 2015-12-21 06:37:21 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Prasad J Pandit 2015-12-21 06:39:37 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1293305]
Comment 5 Prasad J Pandit 2015-12-21 06:39:50 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1293304]
Comment 6 Fedora Update System 2016-01-23 22:25:38 EST
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-01 19:51:56 EST
qemu-2.3.1-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-19 17:22:29 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-19 22:26:19 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.